import com.fasterxml.jackson.annotation.JsonSubTypes;
import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlProperty;

/**
 * @author Teodor Danciu (teodord@users.sourceforge.net)
 */
@JsonSubTypes({
	@JsonSubTypes.Type(value = Apple.class)
})
public abstract class AbstractFruit
{
	@JacksonXmlProperty(isAttribute = true)
	private String color;
	
	public String getColor()
	{
		return color;
	}

	public void setColor(String color)
	{
		this.color = color;
	}
}
